.sticky{
    position : sticky;
    top : 0;
}
*
{
  box-sizing: border-box;
}

body{
-webkit-user-select: none; /* Safari 3.1+ */
-moz-user-select: none; /* Firefox 2+ */
-ms-user-select: none; /* IE 10+ */
user-select: none; /* Standard syntax */
}
::-webkit-scrollbar {
width: 9px;
}
/* Track */
::-webkit-scrollbar-track {
box-shadow: inset 0 0 5px rgb(78, 22, 168); 
border-radius: 5px;
}

/* Handle */
::-webkit-scrollbar-thumb {
background: rgb(68, 100, 243); 
border-radius: 5px;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
background: #072689; 
}


:root {
    --nova : 'Nova Mono', monospace;
	--zen: 'Zen Kurenaido', sans-serif;
    --ubuntu : 'Ubuntu Mono', monospace;
    --crimson : 'Crimson Pro', serif;
    --price : 'Rubik', cursive;
    --figtree : 'Figtree', sans-serif;
    --bebas : 'Bebas Neue', cursive;
--titillium : "Titillium Web", sans-serif;
    --roboto : 'Roboto', sans-serif;


	--ajwa-primary: #0077b6;
	--ajwa-secondary :#00b4d8;
    --ajwa-info : #37B2E6;
    --ajwa-dark : #063c1c;
    --ajwa-light : #CFFFEC;



    --ajwa-list : #fffffff3; 
    --ajwa-list-hover : #ff1587;

    
    --ajwa-hd : #061e22;
    --ajwa-h-bg : #031f23;
    --ajwa-hc-bg : #0077b6;
    --ajwa-h-text : #fffbfa;
}
.ajwa-hd {background-color: var(--ajwa-hd);}
.ajwa-h-bg{ background-color: var(--ajwa-h-bg);}
.ajwa-hc-bg{ background: var(--ajwa-hc-bg);}
.ajwa-h-text{ color: var(--ajwa-h-text);}

body.dark {
	--light: #0C0C1E;
	--grey: #060714;
	--dark: #FBFBFB;
}


.ajwa-bg-light { background-color: var(--ajwa-light); }
.ajwa-bg-dark { background-color: var(--ajwa-dark); }
.ajwa-bg-primary { background-color: var(--ajwa-primary); }
.ajwa-bg-info { background-color: var(--ajwa-info); }
.ajwa-bg-secondary { background-color: var(--ajwa-secondary); }

.ajwa-text-light { color: var(--ajwa-light); }
.ajwa-text-dark { color: var(--ajwa-dark); }
.ajwa-text-primary { color: var(--ajwa-primary); }
.ajwa-text-info { color: var(--ajwa-info); }
.ajwa-text-secondary { color: var(--ajwa-secondary); }

.ajwa-f1{ font-family: var(--roboto);  }
.ajwa-f2{ font-family: var(--zen);  }
.ajwa-f3{ font-family: var(--ubuntu);  }
.ajwa-f4{ font-family: var(--crimson);  }
.ajwa-f5{ font-family: var(--price);  }
.ajwa-f6{ font-family: var(--titillium);  }
.ajwa-f10{ font-family: var(--figtree);  }
.ajwa-f11{ font-family: var(--bebas);  }


#button-addon1 {
    color: #F33939;
  }
  
  .itag {
    color: #F33939;
    /* color: #ffc371; */
  }
  
  .form-control::placeholder {
    font-size: 0.95rem;
    color: #888;
    font-style: italic;
  }
  
  .form-control.shadow-0:focus {
    box-shadow: none;
  }




/* product list */


.product-card {
    position: relative;
    box-shadow: 0px 1px 2px #dfdfdf;
    background: #F2F7F2;
    transition: 0.25s padding ease-in;
    transition: 0.25s box-shadow ease-in;


}
.product-card:hover{
    background : whitesmoke;
    box-shadow : 2px 2px 6px lightslategrey;
}
.badge {
    position: absolute;
    left: 0;
    top: 20px;
    text-transform: uppercase;
    font-size: 13px;
    font-weight: 700;
    background: red;
    color: #fff;
    padding: 3px 10px;
}

.product-tumb {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
    background: #f0f0f0;
}


.product-tumb img {
    max-width: 100%;
    max-height: 100%;
}

.product-details {
    padding: 5px;
}

.product-catagory {
    display: block;
    font-size: 12px;
    font-weight: 700;
    text-transform: uppercase;
    color: #879;
    margin-bottom: 3px;
}

.product-details h5 a {
    display: block;
    margin-bottom: 2px;
    text-transform: uppercase;
    color: #363636;
    text-decoration: none;
    transition: 0.3s;
    font-size : 15px;

/* for hidding extra text */

    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}


.product-details h5 a:hover {
    color: #fbb72c;
    text-decoration : none;
}
.product-details p {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 13px;
    line-height: 17px;
    margin-bottom: 5px;
    color: #555;
}

.product-bottom-details {
    overflow: hidden;
    border-top: 1px solid #eee;
    padding-top: 3px;
}

.product-bottom-details div {
    float: left;
    width: 50%;
}

.product-price {
    font-size: 16px;
    color: #e89c04;
    font-weight: 600;
}

.product-price small {
    font-size: 80%;
    font-weight: 400;
    text-decoration: line-through;
    display: inline-block;
    margin-right: 5px;
}

.product-links {
    text-align: right;
}

.product-links button {
    display: inline-block;
    margin-left: 5px;
    color: #c1c1c1;
    transition: 0.5s;
    font-size: 15px;
}

.product-links button:hover {
    color: #fbb72c;
}



/* product displaying  */

.p-icon{
    transition : 0.3s ease-in;
    color : #2b45d7;
    font-family : var(--ubuntu);
}

.p-icon:hover{
    color : #f1425d;
    /* background: #2b45d7; */
}
